import java.applet.Applet;
import java.awt.*;
import java.util.StringTokenizer;
import java.lang.*;

public class test extends Applet
{
    private static String text="velocity 1.0 -1.0";
    private String temptext;
    private double temp;
    private double xvel;
    private double yvel;
    private boolean xvelkaes;
    private boolean yvelkaes;
    
    public test(){
        

    /*StringTokenizer st = new StringTokenizer("velocity -1.0 1.0");
    while (st.hasMoreTokens()) {
        System.out.println(st.nextToken());
    }*/
    if (text.startsWith("velocity")) {  
        xvelkaes=false; yvelkaes=false;
        StringTokenizer st1 = new StringTokenizer(text);
        while (st1.hasMoreTokens()) {
            temptext=st1.nextToken();
            //System.out.println(Integer.parseInt(temptext));        
            if(temptext.equals("1.0") || temptext.equals("-1.0")){
                temp = Double.parseDouble(temptext);
                if(xvelkaes==false){xvel=temp; xvelkaes=true;}
                if(xvelkaes==true && yvelkaes==false){yvel=temp; yvelkaes=true;}
             	//System.out.println("korras"+temp);
            }
        }
    }
    }
}